<?xml version="1.0" encoding="UTF-8"?>
<ezstream>
  <servers>
    <server>
      <name>default</name>
      <protocol>HTTP</protocol>
      <hostname>127.0.0.1</hostname>
      <port>8910</port>
      <user>source</user>
      <password>REDACTED</password>
      <tls>None</tls>
      <reconnect_attempts>20</reconnect_attempts>
    </server>
  </servers>

  <streams>
    <stream>
      <mountpoint>/stream</mountpoint>
      <intake>default</intake>
      <server>default</server>
      <public>No</public>
      <format>MP3</format>
      <encoder>mp3</encoder>
      <stream_name>Radio Susan</stream_name>
      <stream_url>https://radio.jihakuz.xyz</stream_url>
      <stream_genre>Eclectic</stream_genre>
      <stream_description>Personal radio station</stream_description>
      <stream_bitrate>192</stream_bitrate>
      <stream_samplerate>44100</stream_samplerate>
      <stream_channels>2</stream_channels>
    </stream>
  </streams>

  <intakes>
    <intake>
      <name>default</name>
      <type>playlist</type>
      <filename>/var/lib/radio/playlists/all.m3u</filename>
      <shuffle>Yes</shuffle>
      <stream_once>No</stream_once>
    </intake>
  </intakes>

  <metadata>
    <format_str>@a@ - @t@</format_str>
    <normalize_strings>Yes</normalize_strings>
    <no_updates>No</no_updates>
  </metadata>

  <decoders>
    <decoder>
      <name>ffmpeg-all</name>
      <program>/var/lib/radio/decode.sh @T@</program>
      <file_ext>.flac</file_ext>
      <file_ext>.mp3</file_ext>
      <file_ext>.ogg</file_ext>
      <file_ext>.m4a</file_ext>
      <file_ext>.opus</file_ext>
      <file_ext>.wav</file_ext>
      <file_ext>.wma</file_ext>
    </decoder>
  </decoders>

  <encoders>
    <encoder>
      <name>mp3</name>
      <format>MP3</format>
      <program>/var/lib/radio/encode.sh</program>
    </encoder>
  </encoders>
</ezstream>
